﻿using Demo.Data.Repository;
using Demo.Domain.UseCase;
using Demo.UI;

class Program
{
    static void Main(string[] args)
    {
        var groupRepo = new GroupRepositoryImpl();
        var userRepo = new UserRepositoryImpl();
        var groupUseCase = new GroupUseCase(groupRepo);
        var userUseCase = new UserUseCase(userRepo, groupRepo);
        var mainMenu = new MainMenu(userUseCase, groupUseCase);

        // Вывод групп при запуске программы
        groupRepo.DisplayGroups();

        // Отображение главного меню
        mainMenu.DisplayMenu();
    }
}
